/*!
FullCalendar v6.0.0-beta.1
Docs & License: https://fullcalendar.io/
(c) 2022 Adam Shaw
*/
import moment from 'moment';
import 'moment-timezone';
import { createPlugin, NamedTimeZoneImpl } from '@fullcalendar/common';

class MomentNamedTimeZone extends NamedTimeZoneImpl {
    offsetForArray(a) {
        return moment.tz(a, this.timeZoneName).utcOffset();
    }
    timestampToArray(ms) {
        return moment.tz(ms, this.timeZoneName).toArray();
    }
}
var main = createPlugin({
    namedTimeZonedImpl: MomentNamedTimeZone,
});

export default main;
//# sourceMappingURL=main.js.map
